* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100vws;
  height: 100vh;
  overflow: hidden;
  background-color: #3C3E4E;
}

.main_wrapper {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-content: center;
  align-items: center;
  padding: 2rem;
}

.image_section {
  min-width: 400px;
  max-width: 200px;
  width: 50vw;
  max-height: 40vh;
  height: 50vw;
  overflow: hidden;
  position: relative;
  vertical-align: middle;
  display: flex;
  align-items: center;
}

.image_section img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.color_palette {
  min-width: 400px;
  max-width: 200px;
  width: 50vw;
  max-height: 10vh;
  height: 5rem;
  display: flex;
  align-items: stretch;
}

.color_palette__item {
  width: 3rem;
  flex-grow: 1;
  flex-shrink: 1;
  cursor: pointer;
}

.button_copy {
  background-color: transparent;
  border: 3px solid rgba(255, 255, 255, 0.5);
  color: white;
  padding: 0.5rem 2rem;
  margin: 0.5rem auto;
  display: block;
  cursor: pointer;
}

.upload_section {
  border: 4px solid rgba(255, 255, 255, 0.5);
  min-width: 400px;
  max-width: 200px;
  width: 50vw;

}

.upload_section p {
  padding: 2rem 2rem 0 2rem;
  margin: 0;
  text-align: center;
  color: white;
  font-family: sans-serif;
  line-height: 1.5rem;
}

#drop_zone {
  pointer-events: none;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100vh;
  width: 100vw;
  transition: background-color 0.5s;
}

#drop_zone.active {
  background-color: #3C3E4E;
  display: flex;
  align-items: center;
}

#drop_zone.active::before {
  content: "Drop the image";
  color: white;
  display: block;
  width: 100%;
  text-align: center;
  font-family: sans-serif;
  font-size: larger;
}

.upload_button_wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
  width: 100%;
}

.upload_button {
  margin: auto;
  display: block;
  border: 0px none transparent;
  color: white;
  background-color: transparent;
  padding: 8px 20px;
  font-size: 1.2rem;
  text-decoration: underline;
  margin-bottom: 2rem;
  width: 11rem;
  cursor: pointer;
}

.upload_button_wrapper input[type=file] {
  margin: auto;
  width: 11rem;
  margin-bottom: 2rem;
  position: absolute;
  cursor: pointer;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  opacity: 0;
}